MDL-49329 admin: Improve the plugin package validator
[moodle.git] / lang / en / plugin.php
index 19fe706..189d817 100644 (file)
@@ -201,8 +201,9 @@ $string['validationmsg_rootdir'] = 'Name of the plugin to be installed';
 $string['validationmsg_rootdir_help'] = 'The name of the root directory in the ZIP package forms the name of the plugin to be installed. If the name is not correct, you may wish to rename the root directory in the ZIP prior to installing the plugin.';
 $string['validationmsg_rootdirinvalid'] = 'Invalid plugin name';
 $string['validationmsg_rootdirinvalid_help'] = 'The name of the root directory in the ZIP package violates formal syntax requirements. Some ZIP packages, such as those generated by Github, may contain an incorrect root directory name. You need to fix the name of the root directory to match the plugin name.';
-$string['validationmsg_targetexists'] = 'Target location already exists';
-$string['validationmsg_targetexists_help'] = 'The directory that the plugin is to be installed to must not yet exist.';
+$string['validationmsg_targetexists'] = 'Target location already exists and will be removed';
+$string['validationmsg_targetexists_help'] = 'The plugin directory already exists and will be replaced by the plugin package contents.';
+$string['validationmsg_targetnotdir'] = 'Target location occupied by a file';
 $string['validationmsg_unknowntype'] = 'Unknown plugin type';
 $string['validationmsg_versionphpsyntax'] = 'Unsupported syntax detected in version.php file';
 $string['validationmsglevel_debug'] = 'Debug';